Page MenuHomePhabricator

[Task] Merging WikibaseQuality branches "reverted" a lot of relevant changes
Closed, DeclinedPublic

Description

The master branches of all three extensions got "reseted" to be identical to what was formerly the v1 branch. This means that all development that was exclusively done on the master branch is "lost". It's still accessible in the history. When comparing the relevant commits it turns out not all changes that should have been done on both branches where cherry-picked. Quite a lot of stuff was exclusively done on master and is now "lost":

WikibaseQuality

https://github.com/wikimedia/mediawiki-extensions-WikibaseQuality/compare/76856d7...6a8e942
lists about 6000 deleted lines, along with about 500 that changed.

  • There was a patch by Aude that changed all space indentions to tabs.
  • There was a big PHPCS patch by Addshore with lots of whitespace changes, splitting long lines, replacing "else if" with "elseif", and more.
  • In some places the name of the extension is reverted back to "Wikidata..." instead of "Wikibase...".
  • The special page had aliases in English. These are gone now. Intended? I can't tell.
  • The special page is not listed under "Wikibase" any more. Intended? I can't tell.
  • HtmlTableBuilder, HtmlTableCellBuilder and HtmlTableHeaderBuilder had refactorings that looked good but are all reverted now.
  • Some test cases for these 3 builders are gone or changed.
  • The "revert" reintroduced a file SpecialCheckResultPage.css that looks unused to me.

WikibaseQualityConstraints

https://github.com/wikimedia/mediawiki-extensions-WikibaseQualityConstraints/compare/0aee2c7...7ad6c1d
lists about 1000 deleted lines, along with about 500 that changed.

  • Tabs, as above.
  • PHPCS, as above.
  • Arabic special page name is lost.
  • A file name in a script is reseted to be "v1.tar.gz".
  • Some class level documentation and PHPDoc tags are reseted.
  • My CSS fix that replaces width: 50% with max-with is lost.
  • And lost and lost more, I can not really tell the difference between intended and not intended.

WikibaseQualityExternalValidation

https://github.com/wikimedia/mediawiki-extensions-WikibaseQualityExternalValidation/compare/9253905...b34eaed

  • An other localized special page name.
  • An other "v1" in a file name.
  • Removed compatibility with PHPUnit 4.5.
  • ... but really, there is so much going on, I can not tell. :-(

Event Timeline

thiemowmde raised the priority of this task from to High.
thiemowmde updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 26 2015, 2:26 PM
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Sep 10 2015, 7:06 PM
thiemowmde lowered the priority of this task from High to Low.Feb 28 2018, 5:09 PM
thiemowmde added a subscriber: Lucas_Werkmeister_WMDE.

@Lucas_Werkmeister_WMDE, you are currently most familiar with these code bases. Do you think it's worth looking at the diff links provided in this tasks description and see if there is anything still worth cherry-picking to the most recent version of the code base?

I would go through the things you pointed out in the task description, but I don’t think it’s worth the effort going through the full git diff…

  • Any code style changes are almost certainly irrelevant by now.
  • Using “Wikidata” instead of “Wikibase” should be fixed.
  • The special page is now under “Wikibase Quality” instead of “Wikibase”. We could move it, but I don’t think it’s a big problem.
  • SpecialCheckResultPage looks like it can be removed.
  • The v1.tar.gz in WBQC was fixed recently in I3fcf26aeae.
  • The width was completely removed in I1273d18362.
  • The v1.tar.gz in WBQEV should be fixed.

I would not walk through the diffs, but through the individual commits. As I said in this tasks description I did not spotted all changes that still might be worth cherry-picking. Spotting these is what this ticket here is about.

Change 415894 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQuality@master] Clean up old references to “Wikidata Quality”

https://gerrit.wikimedia.org/r/415894

Change 415895 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityConstraints@master] Clean up old references to “Wikidata Quality”

https://gerrit.wikimedia.org/r/415895

Change 415897 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityExternalValidation@master] Clean up old references to “Wikidata Quality”

https://gerrit.wikimedia.org/r/415897

Change 415898 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseQualityExternalValidation@master] Use WikibaseQuality master instead of v1 in Travis

https://gerrit.wikimedia.org/r/415898

Change 415897 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityExternalValidation@master] Clean up old references to “Wikidata Quality”

https://gerrit.wikimedia.org/r/415897

Change 415894 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQuality@master] Clean up old references to “Wikidata Quality”

https://gerrit.wikimedia.org/r/415894

Change 415898 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityExternalValidation@master] Use WikibaseQuality master instead of v1 in Travis

https://gerrit.wikimedia.org/r/415898

Change 415895 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Clean up old references to “Wikidata Quality”

https://gerrit.wikimedia.org/r/415895

Lydia_Pintscher closed this task as Declined.Apr 6 2018, 4:19 PM